Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1055)
@@ -3009,10 +3162,10 @@
             tQC+=totS*K0QC;
             totS=0;                              // Anti-strangness goes to anti-Kaons
-	         }
+          }
           else if (totBN>1&&totS>0&&(totChg<0||totChg>totBN-totS))//=>"additional Sigma"
-	         {
+          {
             NSi=totS;                            // Prototype of a#of Sigmas
             if(totChg<0)                         // Negative Sigmas
-			         {
+            {
               SiPDG=3112;
               if(-totChg<NSi) NSi=-totChg;       // A#of Sigma- is restricted by charge
@@ -3022,5 +3175,5 @@
             }
             else
-			         {
+            {
               SiPDG=3222;                        // Positive Sigmas
               G4int exChg=totChg-totBN+totS;     // Excesive positive charge
@@ -3032,7 +3185,7 @@
             totS-=NSi;                           // Reduce the TotalResidualStrangeness
             totBN-=NSi;                          // A#of excessive pions is added below
-	         }
+          }
           else if (totBN>0&&totS>totBN&&totBN<totS+totChg)// => "additional K0" case
-	         {// @@ Here Ksi0 check should be added totS=2>totBN=1&&totBN=1<totS=2+totChg=0
+          {// @@ Here Ksi0 check should be added totS=2>totBN=1&&totBN=1<totS=2+totChg=0
             aKPDG=-311;
             NaK=totS-totBN;
@@ -3040,7 +3193,7 @@
             tQC+=NaK*K0QC;
             totS-=NaK;                           // Reduce residualstrangeness
-	         }
+          }
           else if (totBN>0&&totS>totBN&&totChg<0)// => "additional K-" case
-	         {// @@ Here Ksi- check should be added totS=2>totBN=1&&totChg=-1<0
+          {// @@ Here Ksi- check should be added totS=2>totBN=1&&totChg=-1<0
             aKPDG=-321;
             NaK=totS-totBN;
@@ -3049,8 +3202,8 @@
             totChg+=NaK;                         // Increase residual charge
             totS-=NaK;                           // Reduce residual strangeness
-	         }
+          }
           // === Now residual DELTAS should be subtracted === 
           if      (totBN>0&&totChg>totBN-totS)   // => "additional PI+" case
-	         {// @@ Here Sigma+ check should be added totChg=1>totBn=1-totS=1
+          {// @@ Here Sigma+ check should be added totChg=1>totBn=1-totS=1
             PiPDG=211;
             NPi=totChg-totBN+totS;
@@ -3058,7 +3211,7 @@
             tQC-=NPi*PiQC;
             totChg-=NPi;
-	         }
+          }
           else if (totBN>0&&totChg<0)            // => "additional PI-" case
-	         {// @@ Here Sigma- check should be added totChg<0
+          {// @@ Here Sigma- check should be added totChg<0
             PiPDG=-211;
             NPi=-totChg;
@@ -3066,7 +3219,7 @@
             tQC+=NPi*PiQC;                       // Now anti-Pions must be subtracted
             totChg+=NPi;
-	         }
+          }
           else if (!totBN&&totChg>1-totS)        // => "additional PI+" case
-	         {// @@ Here Sigma+ check should be added totChg=1>totBn=1-totS=1
+          {// @@ Here Sigma+ check should be added totChg=1>totBn=1-totS=1
             PiPDG=211;
             NPi=totChg+totS-1;
@@ -3074,7 +3227,7 @@
             tQC-=NPi*PiQC;
             totChg-=NPi;
-	         }
+          }
           else if (!totBN&&totChg<-1-totS)       // => "additional PI-" case
-	         {// @@ Here Sigma- check should be added totChg<0
+          {// @@ Here Sigma- check should be added totChg<0
             PiPDG=-211;
             NPi-=totChg+totS+1;
@@ -3082,8 +3235,8 @@
             tQC+=NPi*PiQC;                       // Now anti-Pions must be subtracted
             totChg+=NPi;
-	         }
+          }
           G4double      totRM=0.;                // min (GS) Mass of the Residual System
           if(totBN<2)                            // Calculate totPDG & totRM
-	         {
+          {
             totPDG=tQC.GetSPDGCode();            // MinPDGCode for the Residual compound
             if(totPDG==10&&tQC.GetBaryonNumber()>0) totPDG=tQC.GetZNSPDGCode();
@@ -3096,18 +3249,18 @@
           }
           else
-	         {
+          {
             G4QNucleus totN(tQC,tot4M);          // Excited nucleus for the Residual System
             totRM=totN.GetMZNS();                // min (GS) Mass of the Residual System
             totPDG=totN.GetPDG();                // Total PDG Code for the Current compound
-	         }
+          }
           if(NaK)                                // ==> "Decay in K0 or K+ + NPi" case
-	         {//@@ Can (must) be moved to EvaporateResidual ??
+          {//@@ Can (must) be moved to EvaporateResidual ??
             if(!NPi)                             // ==> "Only anti-strange K" case
-		          {
+            {
               G4LorentzVector m4Mom(0.,0.,0.,MaK);
               G4LorentzVector n4Mom(0.,0.,0.,totRM);
               G4double sum=MaK+totRM;
               if(fabs(totMass-sum)<eps)
-			           {
+              {
                 m4Mom=tot4M*(MaK/sum);
                 n4Mom=tot4M*(totRM/sum);
@@ -3121,5 +3274,5 @@
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3134,5 +3287,5 @@
               }
 #ifdef pdebug
-	             G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> M="
+              G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> M="
                     <<aKPDG<<m4Mom<<" + N="<<totPDG<<n4Mom<<totQC<<G4endl;
 #endif
@@ -3140,5 +3293,5 @@
               if(NaK>1) oneK = m4Mom/NaK;        // 4-mom of one kaon  
               for (G4int jp=0; jp<NaK; jp++)
-			           {
+              {
                 G4QHadron* curK = new G4QHadron(aKPDG,oneK);
                 theQHadrons.push_back(curK);     // Fill the curK (delete equivalent)
@@ -3146,7 +3299,7 @@
               G4QHadron* curN = new G4QHadron(totPDG,n4Mom); // @@ Use DecayDib then Evap
               EvaporateResidual(curN);           // Try to evaporate residual (del.eq.)
-		          }
+            }
             else                                 // ==> "Anti-strange K's + DELTA's" case
-		          {
+            {
               G4LorentzVector m4Mom(0.,0.,0.,MPi);
               G4LorentzVector k4Mom(0.,0.,0.,MaK);
@@ -3158,5 +3311,5 @@
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3165,5 +3318,5 @@
                   G4cout<<"***G4QEnv::HQE:FillAsItIs(2),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-      	           //throw G4QException("G4QEnvironment::HadronizeQE:2AntiS-Nucl(1) error");
+                  //throw G4QException("G4QEnvironment::HadronizeQE:2AntiS-Nucl(1) error");
                 }
                 delete quasH;  
@@ -3171,5 +3324,5 @@
               }
 #ifdef fdebug
-	             G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> nK="<<aKPDG<<k4Mom
+              G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> nK="<<aKPDG<<k4Mom
                     <<" + nPi="<<PiPDG<<m4Mom<<" + N="<<totPDG<<n4Mom<<G4endl;
 #endif
@@ -3177,35 +3330,35 @@
               if(NPi>1) onePi = m4Mom/NPi;       // 4-mom of one pion  
               for (G4int ip=0; ip<NPi; ip++)
-			           {
+              {
                 G4QHadron* curP = new G4QHadron(PiPDG,onePi);
 #ifdef pdebug
-			             G4cout<<"G4QEnv::HadrQEnv:SPion#"<<ip<<",H="<<PiPDG<<onePi<<G4endl;
+                G4cout<<"G4QEnv::HadrQEnv:SPion#"<<ip<<",H="<<PiPDG<<onePi<<G4endl;
 #endif
                 theQHadrons.push_back(curP);     // Fill the curM (delete equivalent)
-	 		          }
+              }
               G4LorentzVector oneK=k4Mom;        // 4-mom of one kaon  
               if(NaK>1) oneK = k4Mom/NaK;        // 4-mom of one kaon  
               for (G4int jp=0; jp<NaK; jp++)
-			           {
+              {
                 G4QHadron* curP = new G4QHadron(aKPDG,oneK);
 #ifdef pdebug
-			             G4cout<<"G4QEnv::HadrQEnv:Kaon#"<<jp<<",H="<<aKPDG<<oneK<<G4endl;
+                G4cout<<"G4QEnv::HadrQEnv:Kaon#"<<jp<<",H="<<aKPDG<<oneK<<G4endl;
 #endif
                 theQHadrons.push_back(curP);     // Fill the curM (delete equivalent)
-	 		          }
+              }
               G4QHadron* curN = new G4QHadron(totPDG,n4Mom);
               EvaporateResidual(curN);           // Try to evaporate residual (del.equiv.)
-		          }
+            }
             return theQHadrons;
           }
           else if(NSi)                           // ==> "Decay in Sig+ or Sig- + NPi" case
-	         {//@@ Can (must) be moved to EvaporateResidual ??
+          {//@@ Can (must) be moved to EvaporateResidual ??
             if(!NPi)                             // ==> "Only Sigma's" case
-		          {
+            {
               G4LorentzVector m4Mom(0.,0.,0.,MSi);
               G4LorentzVector n4Mom(0.,0.,0.,totRM);
               G4double sum=MSi+totRM;
               if(fabs(totMass-sum)<eps)
-			           {
+              {
                 m4Mom=tot4M*(MSi/sum);
                 n4Mom=tot4M*(totRM/sum);
@@ -3219,5 +3372,5 @@
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3232,5 +3385,5 @@
               }
 #ifdef pdebug
-	             G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> Sig="
+              G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> Sig="
                     <<SiPDG<<m4Mom<<" + N="<<totPDG<<n4Mom<<totQC<<G4endl;
 #endif
@@ -3238,5 +3391,5 @@
               if(NSi>1) oneS = m4Mom/NSi;        // 4-mom of one sigma  
               for (G4int jp=0; jp<NSi; jp++)
-			           {
+              {
                 G4QHadron* curS = new G4QHadron(SiPDG,oneS);
                 theQHadrons.push_back(curS);     // Fill the curS (delete equivalent)
@@ -3244,7 +3397,7 @@
               G4QHadron* curN = new G4QHadron(totPDG,n4Mom); // @@ Use DecayDib then Evap
               EvaporateResidual(curN);           // Try to evaporate residual (del.eq.)
-		          }
+            }
             else                                 // ==> "Sigma's + DELTA's" case
-		          {
+            {
               G4LorentzVector m4Mom(0.,0.,0.,MPi);
               G4LorentzVector k4Mom(0.,0.,0.,MSi);
@@ -3256,5 +3409,5 @@
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3263,5 +3416,5 @@
                   G4cout<<"***G4QEnv::HQE:FillAsItIs(3),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-       	          //throw G4QException("G4QEnvironment::HadronizeQE:2Sigma-Nucl(1) error");
+                  //throw G4QException("G4QEnvironment::HadronizeQE:2Sigma-Nucl(1) error");
                 }
                 delete quasH;  
@@ -3269,5 +3422,5 @@
               }
 #ifdef fdebug
-	             G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> nS="<<SiPDG<<k4Mom
+              G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> nS="<<SiPDG<<k4Mom
                     <<" + nPi="<<PiPDG<<m4Mom<<" + N="<<totPDG<<n4Mom<<G4endl;
 #endif
@@ -3275,30 +3428,30 @@
               if(NPi>1) onePi = m4Mom/NPi;       // 4-mom of one pion  
               for (G4int ip=0; ip<NPi; ip++)
-			           {
+              {
                 G4QHadron* curP = new G4QHadron(PiPDG,onePi);
 #ifdef pdebug
-			             G4cout<<"G4QEnv::HadrQEnv:SPion#"<<ip<<",H="<<PiPDG<<onePi<<G4endl;
+                G4cout<<"G4QEnv::HadrQEnv:SPion#"<<ip<<",H="<<PiPDG<<onePi<<G4endl;
 #endif
                 theQHadrons.push_back(curP);     // Fill the curM (delete equivalent)
-	 		          }
+              }
               G4LorentzVector oneS=k4Mom;        // 4-mom of the only kaon  
               if(NSi>1) oneS = k4Mom/NSi;        // 4-mom of one kaon  
               for (G4int jp=0; jp<NSi; jp++)
-			           {
+              {
                 G4QHadron* curP = new G4QHadron(SiPDG,oneS);
 #ifdef pdebug
-			             G4cout<<"G4QEnv::HadrQEnv:Sigma#"<<jp<<",H="<<SiPDG<<oneS<<G4endl;
+                G4cout<<"G4QEnv::HadrQEnv:Sigma#"<<jp<<",H="<<SiPDG<<oneS<<G4endl;
 #endif
                 theQHadrons.push_back(curP);     // Fill the curM (delete equivalent)
-	 		          }
+              }
               G4QHadron* curN = new G4QHadron(totPDG,n4Mom);
               EvaporateResidual(curN);           // Try to evaporate residual (del.equiv.)
-		          }
+            }
             return theQHadrons;
-		        }
+          }
           else if(NPi)                           // ==> "Decay in Pi+ or Pi-" case
-	         {
+          {
             if(NPi==1)                           // ==> "One isobar" case
-		          {
+            {
               G4LorentzVector m4Mom(0.,0.,0.,MPi);
               G4LorentzVector n4Mom(0.,0.,0.,totRM);
@@ -3306,8 +3459,8 @@
               {
                 G4cout<<"---Warning---G4QEnv::HadronizeQEnv:M="<<PiPDG<<"(m="<<MPi<<")+N="
-				                  <<totPDG<<"(m="<<totRM<<")="<<MPi+totRM<<" > mSN="<<totMass<<G4endl;
+                      <<totPDG<<"(m="<<totRM<<")="<<MPi+totRM<<" > mSN="<<totMass<<G4endl;
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3316,5 +3469,5 @@
                   G4cout<<"***G4QEnv::HQE:FillAsItIs(5),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-    	             //throw G4QException("G4QEnvironment::HadronizeQEnv:Iso-Nucleus error");
+                  //throw G4QException("G4QEnvironment::HadronizeQEnv:Iso-Nucleus error");
                 }
                 delete quasH;  
@@ -3322,5 +3475,5 @@
               }
 #ifdef pdebug
-	             G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> M="<<PiPDG<<m4Mom<<" + N="
+              G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> M="<<PiPDG<<m4Mom<<" + N="
                     <<totPDG<<n4Mom<<totQC<<G4endl;
 #endif
@@ -3329,7 +3482,7 @@
               G4QHadron* curN = new G4QHadron(totPDG,n4Mom);
               EvaporateResidual(curN);           // Evaporate residual (delete equivalent)
-		          }
-		          else                                 // ==> "Many Isobars" case
-		          {
+            }
+            else                                 // ==> "Many Isobars" case
+            {
               G4int N1Pi = NPi/2;                // First pion cluster
               G4int N2Pi = NPi-N1Pi;             // Second pion cluster
@@ -3346,5 +3499,5 @@
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3353,5 +3506,5 @@
                   G4cout<<"***G4QEnv::HQE:FillAsItIs(5),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-       	          //throw G4QException("G4QEnvironment::HadronizeQE:ManyIsoNucleus error");
+                  //throw G4QException("G4QEnvironment::HadronizeQE:ManyIsoNucleus error");
                 }
                 delete quasH;  
@@ -3359,5 +3512,5 @@
               }
 #ifdef pdebug
-	             G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> N*PI="<<PiPDG
+              G4cout<<"G4QEnv::HadronizeQEnv: SN="<<tot4M<<" -> N*PI="<<PiPDG
                     <<" (4M1="<<m4Mom<<" + 4M2="<<k4Mom<<") + N="<<totPDG<<n4Mom<<G4endl;
 #endif
@@ -3365,23 +3518,23 @@
               if(N1Pi>1) one1=m4Mom/N1Pi;        // 4-mom of the 1st cluster one pion  
               for (G4int ip=0; ip<N1Pi; ip++)
-			           {
+              {
                 G4QHadron* curP = new G4QHadron(PiPDG,one1);
                 theQHadrons.push_back(curP);     // Fill the curP (delete equivalent)
-	 		          }
+              }
               G4LorentzVector one2=k4Mom;        // 4-mom of the 2nd cluster only pion  
               if(N2Pi>1) one2=k4Mom/N2Pi;        // 4-mom of the 2nd cluster one pion  
               for (G4int jp=0; jp<N2Pi; jp++)
-			           {
+              {
                 G4QHadron* curP = new G4QHadron(PiPDG,one2);
                 theQHadrons.push_back(curP);     // Fill the curP (delete equivalent)
-	 		          }
+              }
               G4QHadron* curN = new G4QHadron(totPDG,n4Mom);
               EvaporateResidual(curN);           // Try to evaporate residual (del.equiv.)
-		          }
+            }
             return theQHadrons;
-		        }
-		      }
+          }
+        }
 #ifdef fdebug
-		      G4cout<<"G4QE::HadrQEnv: Try FinalEvaporation t4M="<<tot4M<<",tQC="<<totQC<<G4endl;
+        G4cout<<"G4QE::HadrQEnv: Try FinalEvaporation t4M="<<tot4M<<",tQC="<<totQC<<G4endl;
 #endif
         CleanUp();
@@ -3389,18 +3542,18 @@
         EvaporateResidual(evH);                  // Try to evaporate residual (del.equiv.)
         return theQHadrons;
-	     }
+      }
       else                                       // ==> "Only GSEnvironment exists" case
       { 
         if(totPDG==90000000 || fabs(totMass)<0.000001)
-		      {
+        {
           CleanUp();
           return theQHadrons;
-		      }
+        }
         G4double dM=totMass-totM;
 #ifdef pdebug
-		      G4cout<<"G4QEnv::HadrQEnv:GroundState tM-GSM="<<dM<<",GSM="<<totM<<",tPDG="<<totPDG
+        G4cout<<"G4QEnv::HadrQEnv:GroundState tM-GSM="<<dM<<",GSM="<<totM<<",tPDG="<<totPDG
               <<",nQ="<<nQuasmons<<G4endl;
 #endif
-	       G4Quasmon*       pQ = theQuasmons[0];    // Pointer to the first Quasmon          
+        G4Quasmon*       pQ = theQuasmons[0];    // Pointer to the first Quasmon          
         G4QPDGCode    QQPDG = pQ->GetQPDG();     // QPDG of the Quasmon
         G4int          QPDG = QQPDG.GetPDGCode();
@@ -3408,26 +3561,26 @@
         G4int          spbRN=totRN.SplitBaryon();// PossibilityToSplit baryon from Residual
         if(dM>-0.001)
-		      {
+        {
 #ifdef fdebug
-		        G4cout<<"G4QE::HadrQE:ExcitedNucleus, dM="<<dM<<">0,tBN="<<totBN<<",nQ="<<G4endl;
+          G4cout<<"G4QE::HadrQE:ExcitedNucleus, dM="<<dM<<">0,tBN="<<totBN<<",nQ="<<G4endl;
 #endif
           CleanUp();
           G4QHadron* evH = new G4QHadron(totQC,tot4M);// Create a Hadron for ResidualNucl
           EvaporateResidual(evH);                // Try to evaporate residual (del. equiv.)
-		      }
+        }
         else if(nQuasmons==1&&QPDG!=22&&QPDG!=111)// => "Decay Quasmon or Q+Environ" case
-		      {
+        {
           G4int envPDG = theEnvironment.GetPDG();// PDGCode of the NuclQEnvironment
 #ifdef pdebug
-		        G4cout<<"G4QEnv::HadrQEnv: nQ=1, QPDG=="<<QPDG<<G4endl;
+          G4cout<<"G4QEnv::HadrQEnv: nQ=1, QPDG=="<<QPDG<<G4endl;
 #endif
           if(!QPDG)
-		        {
-			         G4cerr<<"***G4QEnv::HadrQE: Quasmon is an unknown QHadron: PDG="<<QPDG<<G4endl;
-			         throw G4QException("G4QEnvironment::HadronizeQEnvironment:(2)Cann'tDecayQEnv");
-		        }
+          {
+            G4cerr<<"***G4QEnv::HadrQE: Quasmon is an unknown QHadron: PDG="<<QPDG<<G4endl;
+            throw G4QException("G4QEnvironment::HadronizeQEnvironment:(2)Cann'tDecayQEnv");
+          }
           // => "Quasmon-Chipolino or Environment-Dibaryon" case
           else if(QPDG==10||QPDG==92000000||QPDG==90002000||QPDG==90000002)
-		        {
+          {
             G4QContent QQC = pQ->GetQC();        // Quark Content of the Quasmon
             G4QPDGCode h1QPDG=nQPDG;             // QPDG of the first hadron
@@ -3442,14 +3595,14 @@
               h2QPDG=QChip.GetQPDG2();           // QPDG of the second hadron
               h2M   =h2QPDG.GetMass();           // Mass of the second hadron
-			         }
-			         else if(QPDG==90002000)
-			         {
+            }
+            else if(QPDG==90002000)
+            {
               h1QPDG=pQPDG;                      // QPDG of the first hadron
               h1M   =mProt;                      // Mass of the first hadron
               h2QPDG=h1QPDG;                     // QPDG of the second hadron
               h2M   =mProt;                      // Mass of the second hadron
-			         }
-			         else if(QPDG==92000000)
-			         {
+            }
+            else if(QPDG==92000000)
+            {
               h1QPDG=lQPDG;                      // QPDG of the first hadron
               h1M   =mLamb;                      // Mass of the first hadron
@@ -3458,5 +3611,5 @@
               G4double ddMass=totMass-envM;      // Free CM energy
               if(ddMass>mSigZ+mSigZ)             // Sigma0+Sigma0 is possible
-			           {                                  // @@ Only two particles PS is used
+              {                                  // @@ Only two particles PS is used
                 G4double dd2=ddMass*ddMass;      // Squared free energy
                 G4double sma=mLamb+mLamb;        // Lambda+Lambda sum
@@ -3485,5 +3638,5 @@
               }                                  //
               else if(ddMass>mSigZ+mLamb)        // Lambda+Sigma0 is possible
-			           {                                  // @@ Only two particles PS is used
+              {                                  // @@ Only two particles PS is used
                 G4double dd2=ddMass*ddMass;      // Squared free energy
                 G4double sma=mLamb+mLamb;        // Lambda+Lambda sum
@@ -3500,17 +3653,17 @@
                 }                                //
               }                                  //
-			         }                                    //
+            }                                    //
             if(h1M+h2M+envM<totMass)             // => "Three parts decay" case
-			         {
+            {
               G4LorentzVector h14M(0.,0.,0.,h1M);
               G4LorentzVector h24M(0.,0.,0.,h2M);
               G4LorentzVector e4M(0.,0.,0.,envM);
               if(!G4QHadron(tot4M).DecayIn3(h14M,h24M,e4M))
-			           {
-				            G4cout<<"Warning->G4QE::HQE:M="<<tot4M.m()<<","<<totMass<<"->"<<h1QPDG<<"("
-					                 <<h1M<<")+"<<h1QPDG<<"("<<h2M<<")+"<<envM<<"="<<h1M+h2M+envM<<G4endl;
+              {
+                G4cout<<"Warning->G4QE::HQE:M="<<tot4M.m()<<","<<totMass<<"->"<<h1QPDG<<"("
+                      <<h1M<<")+"<<h1QPDG<<"("<<h2M<<")+"<<envM<<"="<<h1M+h2M+envM<<G4endl;
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3519,14 +3672,14 @@
                   G4cout<<"***G4QEnv::HQE:FillAsItIs(6),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-				              //throw G4QException("G4QEnv::HadrQEnv:QChipo+Environment DecIn3 Error");
+                  //throw G4QException("G4QEnv::HadrQEnv:QChipo+Environment DecIn3 Error");
                 }
                 delete quasH;  
                 return theQHadrons;
 
-			           }
+              }
               G4QHadron* h1H = new G4QHadron(h1QPDG.GetPDGCode(),h14M);
               theQHadrons.push_back(h1H);        // (delete equivalent)
 #ifdef pdebug
-			           G4cout<<"G4QE::HQE:(2) H1="<<h1QPDG<<h14M<<G4endl;
+              G4cout<<"G4QE::HQE:(2) H1="<<h1QPDG<<h14M<<G4endl;
 #endif
               G4QHadron* h2H = new G4QHadron(h2QPDG.GetPDGCode(),h24M);
@@ -3540,9 +3693,9 @@
               G4cout<<"G4QE::HQE:(2) QEenv="<<envPDG<<e4M<<G4endl;
 #endif
-			         }
+            }
 #ifdef fdebug
             G4cout<<"***G4QEnv::HadQEnv:tM="<<tot4M.m()<<totQC<<"< h1="<<h1QPDG<<"(M="<<h1M
                   <<")+h2="<<h1QPDG<<"(M="<<h2M<<")+eM="<<envM<<"="<<h1M+h2M+envM<<G4endl;
-			         //throw G4QException("G4QEnv::HadrQEnv:QChipo+Env mass > than decaying mass");
+            //throw G4QException("G4QEnv::HadrQEnv:QChipo+Env mass > than decaying mass");
 #endif
             CleanUp();
@@ -3550,8 +3703,8 @@
             EvaporateResidual(evH);            // Try to evaporate residual (del. equiv.)
             return theQHadrons;
-		        }
+          }
         }
         else if(spbRN)// => "Join all quasmons to the residual compound and evaporate" case
-		      {
+        {
 #ifdef fdebug
           G4cout<<"***G4QEnv::HadQEnv: Evaporate the total residual tRN="<<totRN<<G4endl;
@@ -3561,10 +3714,10 @@
           EvaporateResidual(evH);               // Try to evaporate residual (del.equiv.)
           return theQHadrons;
-		      }
+        }
         //else if(nQuasmons<3||theQHadrons.size()<12)//"Try to correct" case (change cond)
         else if(2>3)  // "Try to correct" case (change condition)
-		      {
-#ifdef pdebug
-		        G4cout<<"***G4QEnv::HadrQE: M="<<totMass<<",dM="<<dM<<",nQ="<<nQuasmons<<G4endl;
+        {
+#ifdef pdebug
+          G4cout<<"***G4QEnv::HadrQE: M="<<totMass<<",dM="<<dM<<",nQ="<<nQuasmons<<G4endl;
 #endif
           G4int          nOfOUT  = theQHadrons.size();
@@ -3578,6 +3731,6 @@
             G4int           nFr    = theLast->GetNFragments();
             G4int           gam    = theLast->GetPDGCode();
-		          if(gam!=22&&!nFr&&lastS<0&&lastS+totS<0&&nOfOUT>1) // => "Skip K,gam & decayed"
-		          {
+            if(gam!=22&&!nFr&&lastS<0&&lastS+totS<0&&nOfOUT>1) // => "Skip K,gam & decayed"
+            {
               G4QHadron* thePrev = theQHadrons[nOfOUT-2];
               theQHadrons.pop_back();         // the last QHadron is excluded from OUTPUT
@@ -3588,5 +3741,5 @@
               last4M = theLast->Get4Momentum();
               lastQC = theLast->GetQC();
-		          }
+            }
             else
             {
@@ -3601,14 +3754,14 @@
             if(totPDG==10&&totQC.GetBaryonNumber()>0) totPDG=totQC.GetZNSPDGCode();
             if(bn>1)
-		          {
+            {
               totS  =totQC.GetStrangeness();  // Total Strangeness of this System
               if(totS>=0)                     // => "This is a normal nucleus" case
-			           {
+              {
                 G4QNucleus newN(totQC,tot4M);
                 totPDG=newN.GetPDG();
                 totM  =newN.GetMZNS();           // Calculate new minimum (GS) mass
-			           }
+              }
               else if(totS==-1)                  // => "Try to decay in K+/aK0 and finish"
-			           {
+              {
                 G4double m1=mK;         
                 G4int  PDG1=321;
@@ -3619,10 +3772,10 @@
                 G4double m3=newN0.GetMZNS();
                 if (m3+mK0<m2+mK)                // => "aK0+ResA is better" case
-	               {
+                {
                   m1  =mK0;
                   PDG1=311;
                   m2  =m3;
                   PDG2=newN0.GetPDG();
-	               }
+                }
                 if(totMass>m1+m2)                // => "can decay" case
                 {
@@ -3630,10 +3783,10 @@
                   G4LorentzVector qe4M(0.,0.,0.,m2);
                   if(!G4QHadron(tot4M).DecayIn2(fq4M,qe4M))
-			               {
+                  {
                     G4cout<<"---Warning---G4QE::HadQE:tM="<<tot4M.m()<<"->aK="<<PDG1<<"(M="
                           <<m1<<")+ResA="<<PDG2<<"(M="<<m2<<")="<<m1+m2<<G4endl;
                     G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                     CleanUp();
-		                  if(!CheckGroundState(quasH,true))
+                    if(!CheckGroundState(quasH,true))
                     {
                       G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -3642,9 +3795,9 @@
                       G4cout<<"***G4QE::HQE:FillAsIs(7),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-		  		                //throw G4QException("G4QEnv::HadrQEnv: aK+ResA DecayIn2 error");
+                      //throw G4QException("G4QEnv::HadrQEnv: aK+ResA DecayIn2 error");
                     }
                     delete quasH;  
                     return theQHadrons;
-			               }
+                  }
                   G4QHadron* H1 = new G4QHadron(PDG1,fq4M);
 #ifdef pdebug
@@ -3658,9 +3811,9 @@
                   theQHadrons.push_back(H2);     // (delete equivalent)
                   break;
-			             }
+                }
                 else totM=250000.;               // => "Continue reversion" case
-			           }
+              }
               else if(totS==-2)                  //=>"Try to decay in 2(K+/aK0) and finish"
-		  	         {
+              {
                 G4double m1=mK;         
                 G4int  PDG1=321;
@@ -3675,17 +3828,17 @@
                 G4double m5=newNpp.GetMZNS();    // M-2*K^+
                 if (m4+mK0+mK0<m3+mK+mK0 && m4+mK0+mK0<=m5+mK+mK) //=>"2K0+ResA is theBest"
-	               {
+                {
                   m1  =mK0;
                   PDG1=311;
                   m3  =m4;
                   PDG3=newN00.GetPDG();
-	               }
+                }
                 else if(m5+mK+mK<m3+mK+mK0 && m5+mK+mK<=m4+mK0+mK0)//=>"2Kp+ResA isTheBest"
-	               {
+                {
                   m2  =mK;
                   PDG1=321;
                   m3  =m5;
                   PDG3=newNpp.GetPDG();
-	               }
+                }
                 if(totMass>m1+m2+m3)             // => "can decay" case
                 {
@@ -3694,10 +3847,10 @@
                   G4LorentzVector ra4M(0.,0.,0.,m3);
                   if(!G4QHadron(tot4M).DecayIn3(k14M,k24M,ra4M))
-			               {
+                  {
                     G4cout<<"--Warning--G4QE::HQE:tM="<<tot4M.m()<<"->aK="<<PDG1<<"(M="<<m1
                           <<")+K2="<<PDG2<<"(M="<<m2<<")+A="<<PDG3<<"(M="<<m3<<")"<<G4endl;
                     G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                     CleanUp();
-		                  if(!CheckGroundState(quasH,true))
+                    if(!CheckGroundState(quasH,true))
                     {
                       G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
